#!/bin/csh -f
#$ -cwd
#$ -q sep.q@sep6
#
set INPUT=$1
set NTHREAD=1
#
switch ( "$HOST" )
  case "ivy?":
    set MOLPRO=/usr/local/ivybridge/pl10/molpros_2012_1_Linux_x86_64_i8/bin
  case "sep?":
  case "sep??":
    set MOLPRO=/usr/local/sandybridge/molpros_2012_1_Linux_x86_64_i8/bin/molpro.exe
    breaksw
  case "wep?":
    set MOLPRO=/usr/local/westmere/molpros_2012_1_Linux_x86_64_i8/bin/molpro.exe
    breaksw
  case "nep?":
    set MOLPRO=/usr/local/nehalem/molpros_2012_1_Linux_x86_64_i8/bin/molpro.exe
    breaksw
  case "sha?":
  case "mcs?":
#    set MOLPRO=/usr/local/shanghai/molpros_2012_1_Linux_x86_64_i8/bin/molpro.exe
#    breaksw
  case "bcn?":
    set MOLPRO=/usr/local/amd/molpros_2012_1_Linux_x86_64_i8/bin/molpro.exe
    breaksw
  case "c2q05":
  case "c2q06":
  case "c2q07":
  case "c2q08":
  case "c2q09":
  case "c2q10":
    set MOLPRO=/usr/local/nehalem/molpros_2012_1_Linux_x86_64_i8/bin/molpro.exe
    breaksw
  case "c2q11":
  case "c2q12":
  case "c2q13":
  case "c2q14":
  case "c2q15":
  case "c2q16":
    set MOLPRO=/usr/local/sandybridge/molpros_2012_1_Linux_x86_64_i8/bin/molpro.exe
    breaksw
  case "c2q??":
  case "c2d??":
    set MOLPRO=/usr/local/sandybridge/molpros_2012_1_Linux_x86_64_i8/bin/molpro.exe
    breaksw
endsw
#
#set WFU=${HOME}/wfu
set WFU=${PWD}

set WORK=/scratch/$LOGNAME/tmp.$$
  if ( ! -d ${WORK} ) mkdir -p ${WORK}
#
  ${MOLPRO} -t ${NTHREAD} -d ${WORK} -I ${WORK} -W ${WFU} ${INPUT}		
#
if ( -d ${WORK} ) /bin/rm -rf ${WORK}
#
exit 0

