#!/usr/bin/perl

while (<>) {
  if (/^ATOM/ && @ene) { last }
  if (/^ATOM/)  { push @xyz, [(/(-?\d+\.\d\d+)/g)] }
  if (/Energy/) { push @ene, (/(-?\d+\.\d\d+)/) }
  if (/GRAD/)   { push @vec, [(/(-?\d+\.\d\d+)/g)] } # indgna = 1 or 3 or 4
  if (/NACME/)  { push @vec, [(/(-?\d+\.\d\d+)/g)] } # indgna = 2

  if (/\QMATR.EL.\E/) { print }
}

system "./readhess";

open my $fh, '>', 'tsh_external.pun';
#print scalar(@xyz), "\n";
#for (@xyz) { printf "%4d%20.12f%20.12f%20.12f\n", @$_ }
print $fh scalar(@ene), "\n";
for (@ene) { printf $fh "%20.12f\n", $_ }
print $fh scalar(@vec), "\n";
for (@vec) { printf $fh "%20.12f%20.12f%20.12f\n", @$_ }
#for (@vec) { printf $fh "%20.12f%20.12f%20.12f\n", 0,0,0 }
