
c  include file for program bzinvert
c  note vestigal apparatus for vector processing

        implicit real*8 (a-h,o-z)

        parameter(natomm=6)
        parameter(nmol=1,nbondm=natomm*(natomm-1)/2)

        parameter(na3=3*natomm,nintm=na3-6)

        parameter(nbig=max(nbondm,na3))

        common/readin/ v0,dvdx(na3),fc(na3,na3)

        common/eul/ dcm(3,natomm,3),deul(3,natomm,3)

        common/internal/ r(nbondm),dr(nbondm,natomm,3),
     .                   d2r(nbondm,natomm,natomm,3,3)

        common/invt/ fcsave(na3,na3),ff(na3,na3),pf(na3,na3)

        common/local/ zeta(nintm),dzeta(nintm,na3),
     .                d2zeta(nintm,na3,na3),
     .                dvdz(nintm),d2vdz2(nintm,nintm),utrans(na3,na3),
     .                sv1atc(na3),sv2atc(na3),vnew(na3,na3),
     .                rmin(natomm,natomm),sumz,sumzold,trystore(na3),
     .                stepsize

        common/masses/ c(natomm,3),mb(nbondm),nb(nbondm),amas(natomm),
     .                 anum(natomm)

        common/charts/svstore(na3),sv2store(na3), ichart, ichart2

        common/frag/ ifrag(natomm),kf(natomm),map(natomm,natomm),
     .               ibfrag(natomm,nbondm),kb(nbondm),nfrag,mint,mext

        common/flag/ iflagd

        common/actual/ natom, nbond, n3, nint

        character*2 lab(natomm)
        common/elabels/ lab
*
	integer, parameter :: ftn7=13,ftn8=14,ftn3=15
	logical, parameter :: out=.false.
