      program readhess
c
c     Stand-alone version of readhess, which is taken from
c     subroutine 'molpro_out' in tsh_nh3.f
c
      implicit none
      character*300 line
      integer vfin, nc, vini, ic, iv
      real*8, allocatable :: hess(:,:)
      open(3,file='molpro.out',status='old',position='rewind') ! mura
  110 continue ! mura
      read(3,'(a)',end=100) line ! mura
      if (index(line, 'geometry=')/=0) then
        read(3, *) nc
        nc = nc * 3
        allocate(hess(nc, nc))
      else if (index(line,'Force Constants')/=0) then ! mura
        write(*,'(a)') ' Force Constants 
     & (Second Derivatives of the Energy) in [a.u.]'
        vfin=0 ! mura
        do while (vfin /= nc) ! mura
          read(3,'(a)') line ! mura
          vini=vfin+1 ! mura
          vfin=vfin+5 ! mura
          if (vfin > nc ) vfin=nc ! mura
          write(*,'(15x,5i12)') (iv,iv=vini,vfin) ! mura
          do ic = vini, nc ! mura
            read(3,'(22x,5f12.7)') (hess(ic,iv),iv=vini,vfin) ! mura
            write(*,'(10x,i5,5f12.7)') ic,(hess(ic,iv),iv=vini,vfin) ! mura
          end do ! mura
        end do ! mura
      endif
      goto 110 ! mura
  100 continue ! mura
      close(3) ! mura
c
      stop
      end
